PIDOF(1)

BEZEICHNUNG
pidof - die Prozess-ID eines laufenden Programms ermitteln

ÜBERSICHT
pidof [-s] [-c] [-x] [-o omitpid[,omitpid..]] [-o omitpid[,omitpid..]..] program [Programm..]

BESCHREIBUNG
Pidof findet die Prozesskennungen (PIDs) der benannten Programme. Es gibt diese IDs in der Standardausgabe aus.

OPTIONEN

-s  weist das Programm an, nur eine PID auszugeben.

-c  gibt nur IDs von Prozessen zurück, die im gleichen Wurzelverzeichnis laufen. Diese Option wird für gewöhnliche Benutzer (ohne Administratorrechte) ignoriert, da diese das aktuelle Wurzelverzeichnis nicht nach Prozessen durchsuchen können, deren Eigentümer sie nicht sind.

-x  berücksichtigt auch Skripte. Das Programm gibt auch Prozess-IDs der Shells zurück, die die benannten Skripte ausführen.

-o omitpid
    weist pidof an, Prozesse mit den angegebenen PIDs auszulassen. Die spezielle PID %PPID kann verwendet werden, um den Elternprozess des pidof-Programms zu bezeichnen, also die aufrufende Shell oder das Shell-Skript.

EXIT-STATUS

0   Es wurde mindestens ein Programm mit dem angegebenen Namen gefunden.

1   Es wurde kein Programm mit dem angegebenen Namen gefunden.

SIEHE AUCH
pgrep(1), pkill(1)

AUTOR
Jaromir Capik <jcapik@redhat.com>